Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.access
Class DataCollectionEvent

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--ru.biosoft.access.DataCollectionEvent

public class DataCollectionEvent
extends EventObject

Implements event change in a collection .

Field Summary
`final static int` | `ELEMENT_ADDED` Indicates, that in a collection the new element was added.
`final static int` | `ELEMENT_CHANGED` Indicates, that the element of a collection was modified.
`final static int` | `ELEMENT_REMOVED` Indicates, that the element of a collection was removed
`final static int` | `ELEMENT_WILL_ADD` Indicates, that new element will be added into collection.
`final static int` | `ELEMENT_WILL_CHANGE` Indicates, that element will be changed.
`final static int` | `ELEMENT_WILL_REMOVE` Indicates, that element will be removed.

Constructor Summary
`DataCollectionEvent(Object source, int type, DataCollection owner, String name, DataCollectionEvent primaryEvent)` Constructs the DataCollectionEvent object.

Method Summary
`DataElement` | `getDataElement()`
`String` | `getDataElementName()` Gets a data element, which was added,modified or removed.
`DataCollection` | `getOwner()`
`DataCollectionEvent` | `getPrimaryEvent()`
`int` | `getType()` Gets the type of event.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`getClass, hashCode, equals, notify, notifyAll, wait, wait, wait`

Field Detail

### ELEMENT_ADDED

    public final static int ELEMENT_ADDED

  Indicates, that in a collection the new element was added.

### ELEMENT_CHANGED

    public final static int ELEMENT_CHANGED

  Indicates, that the element of a collection was modified.

### ELEMENT_REMOVED

    public final static int ELEMENT_REMOVED

  Indicates, that the element of a collection was removed

### ELEMENT_WILL_ADD

    public final static int ELEMENT_WILL_ADD

  Indicates, that new element will be added into collection.

### ELEMENT_WILL_CHANGE

    public final static int ELEMENT_WILL_CHANGE

  Indicates, that element will be changed.

### ELEMENT_WILL_REMOVE

    public final static int ELEMENT_WILL_REMOVE

  Indicates, that element will be removed.

Constructor Detail

### DataCollectionEvent

    public DataCollectionEvent(Object source, int type, DataCollection owner, String name, DataCollectionEvent primaryEvent)

  Constructs the DataCollectionEvent object.
  Parameters:
    source - The source which has caused events
    type
    - ELEMENT_CHANGED
    - ELEMENT_ADDED
    - ELEMENT_REMOVED
    dataElement - changed,removed or added element

Method Detail

### getDataElement

    public DataElement getDataElement()

  pending high error processing

### getDataElementName

    public String getDataElementName()

  Gets a data element, which was added,modified or removed.
  Returns: data element

### getOwner

    public DataCollection getOwner()

### getPrimaryEvent

    public DataCollectionEvent getPrimaryEvent()

  todo comment

### getType

    public int getType()

  Gets the type of event. Possible values:
  - ELEMENT_ADDED
  - ELEMENT_CHANGED
  - ELEMENT_REMOVED
  Returns: type of event

Association Links

to Class java.lang.String

to Class ru.biosoft.access.DataCollection

to Class ru.biosoft.access.DataCollectionEvent

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM